{
  "schema_version": "1.4.0",
  "id": "GHSA-mm35-fwq5-v845",
  "modified": "2022-05-14T04:00:05Z",
  "published": "2022-05-14T04:00:05Z",
  "aliases": [
    "CVE-2012-2110"
  ],
  "details": "The asn1_d2i_read_bio function in crypto/asn1/a_d2i_fp.c in OpenSSL before 0.9.8v, 1.0.0 before 1.0.0i, and 1.0.1 before 1.0.1a does not properly interpret integer data, which allows remote attackers to conduct buffer overflow attacks, and cause a denial of service (memory corruption) or possibly have unspecified other impact, via crafted DER data, as demonstrated by an X.509 certificate or an RSA public key.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2110"
    },
    {
      "type": "WEB",
      "url": "https://h20564.www2.hp.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c03839862"
    },
    {
      "type": "WEB",
      "url": "https://kb.juniper.net/KB27376"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/fulldisclosure/2012-04/0209.html"
    },
    {
      "type": "WEB",
      "url": "http://cvs.openssl.org/chngview?cn=22431"
    },
    {
      "type": "WEB",
      "url": "http://cvs.openssl.org/chngview?cn=22434"
    },
    {
      "type": "WEB",
      "url": "http://cvs.openssl.org/chngview?cn=22439"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2013/Jun/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-April/079149.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-April/079299.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-May/080176.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-November/092905.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00014.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00015.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-09/msg00007.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=133728068926468&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=133951357207000&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=134039053214295&w=2"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/81223"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-0518.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-0522.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1306.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1307.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1308.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48847"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48895"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48899"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48942"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48999"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/57353"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT5784"
    },
    {
      "type": "WEB",
      "url": "http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004564"
    },
    {
      "type": "WEB",
      "url": "http://www.collax.com/produkte/AllinOne-server-for-small-businesses#id2565578"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2454"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/18756"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:060"
    },
    {
      "type": "WEB",
      "url": "http://www.openssl.org/news/secadv_20120419.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/53158"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1026957"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1424-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-04-19T17:55:00Z"
  }
}